<template>
  <div class="modal" :class="{'is-active': active}">
    <div class="modal-background"></div>
    <div class="modal-card">
      <header class="modal-card-head">
        <h1 class="modal-card-title">Remove client credentials</h1>
      </header>
      <section class="modal-card-body">
        <p>This will remove the following Client.</p>
        <p>
          <strong>Note: all applications using this Client ID and Secret will be unable to access the Arbalo APIs</strong>
        </p>
        <ADisabledInput :placeholder="client.id" />
      </section>
      <footer class="modal-card-foot">
        <button
          v-on:click="removeClient(client.uuid)"
          class="button is-danger"
        >I understand - remove this client</button>
        <button class="button is-white" v-on:click="close">Cancel</button>
      </footer>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import { Client } from "../services/arbalo_extensions/clients";
import ADisabledInput from "./ADisabledInput.vue";

@Component({
  components: {
    ADisabledInput
  }
})
export default class AClientCredentialsRemovalModal extends Vue {
  @Prop({ default: false }) active!: boolean;
  @Prop() client!: Client;

  removeClient(clientUUID: string) {
    this.$emit("closeModal");
    this.$store.dispatch("project/disableClient", { uuid: clientUUID });
  }

  close() {
    this.$emit("closeModal");
  }
}
</script>

<style lang="scss" scoped>
</style>
